summaryrefslogtreecommitdiffstats
path: root/source/ap/groff
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/groff')
-rwxr-xr-xsource/ap/groff/groff.SlackBuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/source/ap/groff/groff.SlackBuild b/source/ap/groff/groff.SlackBuild
index c7cc67126..fc39606eb 100755
--- a/source/ap/groff/groff.SlackBuild
+++ b/source/ap/groff/groff.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=groff
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -66,9 +66,12 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
+# Don't use icecream:
+PATH=$(echo $PATH | sed "s|/usr/libexec/icecc/bin||g" | tr -s : | sed "s/^://g" | sed "s/:$//g")
+
cd $TMP
rm -rf groff-$VERSION
-tar xvf $CWD/groff-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/groff-$VERSION.tar.?z || exit 1
cd groff-$VERSION || exit 1
chown -R root:root .
find . \